Package org.apache.xmlbeans.impl.schema

## Class SchemaLocalAttributeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaLocalAttributeImpl

- All Implemented Interfaces:
    `SchemaAnnotated`, `SchemaField`, `SchemaLocalAttribute`, `SchemaWSDLArrayType`
  Direct Known Subclasses:
    `SchemaGlobalAttributeImpl`

      public class SchemaLocalAttributeImpl
      extends Object
      implements SchemaLocalAttribute, SchemaWSDLArrayType

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected XmlObject` | `_parseObject` |

    - ### Fields inherited from interface org.apache.xmlbeans.SchemaLocalAttribute

      `OPTIONAL, PROHIBITED, REQUIRED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaLocalAttributeImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SchemaAnnotation` | `getAnnotation()` | Returns the Schema annotation object or null if none present
    `String` | `getDefaultText()` | The default value as plain text.
    `XmlAnySimpleType` | `getDefaultValue()` | The default value as a strongly-typed value.
    `BigInteger` | `getMaxOccurs()` | Returns the maxOccurs value for this particle, or null if it is unbounded.
    `BigInteger` | `getMinOccurs()` | Returns the minOccurs value for this particle.
    `QName` | `getName()` | Returns the form-unqualified-or-qualified name.
    `SchemaType` | `getType()` | Returns the type of this use.
    `SchemaType.Ref` | `getTypeRef()` |
    `int` | `getUse()` | Returns `SchemaLocalAttribute.PROHIBITED`, `SchemaLocalAttribute.OPTIONAL`, or `SchemaLocalAttribute.REQUIRED`.
    `Object` | `getUserData()` | Returns user-specific information.
    `SOAPArrayType` | `getWSDLArrayType()` |
    `void` | `init​(QName name, SchemaType.Ref typeref, int use, String deftext, XmlObject parseObject, XmlValueRef defvalue, boolean isFixed, SOAPArrayType wsdlArray, SchemaAnnotation ann, Object userData)` |
    `boolean` | `isAttribute()` | True if this use is an attribute
    `boolean` | `isDefault()` | True if a default is supplied.
    `boolean` | `isFixed()` | True if the value is fixed.
    `boolean` | `isNillable()` | True if nillable; always false for attributes.
    `boolean` | `isTypeResolved()` |
    `void` | `resolveTypeRef​(SchemaType.Ref typeref)` |
    `void` | `setDefaultValue​(XmlValueRef defaultRef)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _parseObject

          protected XmlObject _parseObject

  - ### Constructor Detail

    - #### SchemaLocalAttributeImpl

          public SchemaLocalAttributeImpl()

  - ### Method Detail

    - #### init

          public void init​(QName name,
                           SchemaType.Ref typeref,
                           int use,
                           String deftext,
                           XmlObject parseObject,
                           XmlValueRef defvalue,
                           boolean isFixed,
                           SOAPArrayType wsdlArray,
                           SchemaAnnotation ann,
                           Object userData)

    - #### isTypeResolved

          public boolean isTypeResolved()

    - #### resolveTypeRef

          public void resolveTypeRef​(SchemaType.Ref typeref)

    - #### getUse

          public int getUse()

      Description copied from interface: `SchemaLocalAttribute`
      Returns `SchemaLocalAttribute.PROHIBITED`, `SchemaLocalAttribute.OPTIONAL`, or `SchemaLocalAttribute.REQUIRED`. (Actually, never returns PROHIBITED because the schema specificaion states that a prohibited attribute is equivalent to no attribute at all, so a prohibited attribute will never be present in the compiled model.)
      Specified by:
        `getUse` in interface `SchemaLocalAttribute`

    - #### getName

          public QName getName()

      Description copied from interface: `SchemaField`
      Returns the form-unqualified-or-qualified name.
      Specified by:
        `getName` in interface `SchemaField`

    - #### getDefaultText

          public String getDefaultText()

      Description copied from interface: `SchemaField`
      The default value as plain text. See `SchemaField.isDefault()` and `SchemaField.isFixed()`.
      Specified by:
        `getDefaultText` in interface `SchemaField`

    - #### isDefault

          public boolean isDefault()

      Description copied from interface: `SchemaField`
      True if a default is supplied. If `SchemaField.isFixed()`, then isDefault is always true.
      Specified by:
        `isDefault` in interface `SchemaField`

    - #### isFixed

          public boolean isFixed()

      Description copied from interface: `SchemaField`
      True if the value is fixed.
      Specified by:
        `isFixed` in interface `SchemaField`

    - #### isAttribute

          public boolean isAttribute()

      Description copied from interface: `SchemaField`
      True if this use is an attribute
      Specified by:
        `isAttribute` in interface `SchemaField`

    - #### getAnnotation

          public SchemaAnnotation getAnnotation()

      Description copied from interface: `SchemaAnnotated`
      Returns the Schema annotation object or null if none present
      Specified by:
        `getAnnotation` in interface `SchemaAnnotated`

    - #### getType

          public SchemaType getType()

      Description copied from interface: `SchemaField`
      Returns the type of this use.
      Specified by:
        `getType` in interface `SchemaField`

    - #### getTypeRef

          public SchemaType.Ref getTypeRef()

    - #### getMinOccurs

          public BigInteger getMinOccurs()

      Description copied from interface: `SchemaField`
      Returns the minOccurs value for this particle. If it is not specified explicitly, this defaults to BigInteger.ONE.
      Specified by:
        `getMinOccurs` in interface `SchemaField`

    - #### getMaxOccurs

          public BigInteger getMaxOccurs()

      Description copied from interface: `SchemaField`
      Returns the maxOccurs value for this particle, or null if it is unbounded. If it is not specified explicitly, this defaults to BigInteger.ONE.
      Specified by:
        `getMaxOccurs` in interface `SchemaField`

    - #### isNillable

          public boolean isNillable()

      Description copied from interface: `SchemaField`
      True if nillable; always false for attributes.
      Specified by:
        `isNillable` in interface `SchemaField`

    - #### getWSDLArrayType

          public SOAPArrayType getWSDLArrayType()

      Specified by:
        `getWSDLArrayType` in interface `SchemaWSDLArrayType`

    - #### getDefaultValue

          public XmlAnySimpleType getDefaultValue()

      Description copied from interface: `SchemaField`
      The default value as a strongly-typed value. See `SchemaField.isDefault()` and `SchemaField.isFixed()`.
      Specified by:
        `getDefaultValue` in interface `SchemaField`

    - #### setDefaultValue

          public void setDefaultValue​(XmlValueRef defaultRef)

    - #### getUserData

          public Object getUserData()

      Description copied from interface: `SchemaField`
      Returns user-specific information.
      Specified by:
        `getUserData` in interface `SchemaField`
      See Also:
        `SchemaBookmark`